<div class="modal-header">
    <h3 class="modal-title" id="modal-title" ng-bind="(ctrl.editData.index<0?'New':'Edit')+' record'"></h3>
</div>

<div class="modal-body" id="modal-body">
    <label for="groupName">Group name</label>
    <input id="groupName" type="text" class="form-control" ng-model="ctrl.edited.name"/>
</div>

<div class="modal-footer">
    <button class="btn btn-success fa fa-check" type="button" ng-click="ctrl.ok()"></button>
    <button class="btn btn-warning fa fa-trash" type="button" ng-click="ctrl.delete()" ng-disabled="ctrl.editData.index<0"></button>
    <button class="btn btn-danger fa fa-times" type="button" ng-click="ctrl.cancel()"></button>
</div>